Wallet WebServer 1.0
custody wallet
Servers
| Description | URL |
|---|---|
| /api/v1 | /api/v1 |
wallet
GET /asset
List assets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
limit |
query | integer | No | Limit | |
offset |
query | integer | No | Offset | |
vaultID |
query | string | No | Filter by vault ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"assets": [
{
"balance": "1.23",
"balance_atomic": "string",
"converted_balance": {
"formatted_value": "string",
"relevant_on": "string",
"symbol": "string"
},
"created_at": "string",
"currency": {
"blockchain_icon_url": "string",
"blockchain_name": "string",
"decimals": 0,
"descriptor": "string",
"icon_url": "string",
"id": "string",
"symbol": "string"
},
"decimals": 6,
"id": "string",
"primary_address": {},
"status": "string",
"updated_at": "string",
"vault_id": "string",
"workspace_id": "string"
}
],
"offset": 0,
"total": 0
}
Schema of the response body
{
"type": "object",
"properties": {
"assets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/wallet_internal_feature_wallet.AssetView"
}
},
"offset": {
"type": "integer"
},
"total": {
"type": "integer"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
GET /asset/balances
Assets totals amounts
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"converted_total_balance": {
"formatted_value": "string",
"relevant_on": "string",
"symbol": "string"
},
"symbol_balances": [
{
"balance": "string",
"balance_atomic": "string",
"decimals": 0,
"icon_url": "string",
"symbol": "string"
}
]
}
Schema of the response body
{
"type": "object",
"properties": {
"converted_total_balance": {
"$ref": "#/components/schemas/wallet_internal_feature_prices.ConvertedAmount"
},
"symbol_balances": {
"type": "array",
"items": {
"$ref": "#/components/schemas/wallet_internal_feature_balance.SymbolBalance"
}
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
GET /asset/totals
Assets totals amounts
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
[
{
"balance": "string",
"balance_atomic": "string",
"decimals": 0,
"icon_url": "string",
"symbol": "string"
}
]
Schema of the response body
{
"type": "array",
"items": {
"$ref": "#/components/schemas/wallet_internal_feature_balance.SymbolBalance"
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
GET /currencies
List available currencies in system
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
Responses
[
{
"blockchain_icon_url": "string",
"blockchain_name": "string",
"decimals": 0,
"descriptor": "string",
"icon_url": "string",
"id": "string",
"symbol": "string"
}
]
Schema of the response body
{
"type": "array",
"items": {
"$ref": "#/components/schemas/wallet_internal_feature_wallet.Currency"
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
POST /wallet
Create wallet
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"currency_id": "string",
"vault_id": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"currency_id": {
"type": "string"
},
"vault_id": {
"type": "string"
}
}
}
Responses
{
"assets": [
{
"balance": "1.23",
"balance_atomic": "string",
"converted_balance": {
"formatted_value": "string",
"relevant_on": "string",
"symbol": "string"
},
"created_at": "string",
"currency": {
"blockchain_icon_url": "string",
"blockchain_name": "string",
"decimals": 0,
"descriptor": "string",
"icon_url": "string",
"id": "string",
"symbol": "string"
},
"decimals": 6,
"id": "string",
"primary_address": {},
"status": "string",
"updated_at": "string",
"vault_id": "string",
"workspace_id": "string"
}
]
}
Schema of the response body
{
"type": "object",
"properties": {
"assets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/wallet_internal_feature_wallet.AssetView"
}
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
backup
GET /backup
Shows backup state
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"backup_id": "string",
"completed_at": "string",
"completed_by": "string",
"status": "pending"
}
Schema of the response body
{
"type": "object",
"properties": {
"backup_id": {
"type": "string"
},
"completed_at": {
"type": "string"
},
"completed_by": {
"type": "string"
},
"status": {
"$ref": "#/components/schemas/internal_feature_backup.Status"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
POST /backup
Initiate workspace shards backup process
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"public_key": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"public_key": {
"type": "string"
}
}
}
Responses
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
DELETE /backup
Cancel workspace backup
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"backup_id": "string",
"completed_at": "string",
"completed_by": "string",
"status": "pending"
}
Schema of the response body
{
"type": "object",
"properties": {
"backup_id": {
"type": "string"
},
"completed_at": {
"type": "string"
},
"completed_by": {
"type": "string"
},
"status": {
"$ref": "#/components/schemas/internal_feature_backup.Status"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
GET /backup/file
Returns workspace pending backup JSON file
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
"TG9yZW0gaXBzdW0gZG9sb3Igc2l0IGFtZXQ="
Schema of the response body
{
"type": "string",
"format": "binary"
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
GET /backup/test-file
Returns workspace pending backup JSON file
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
Responses
"TG9yZW0gaXBzdW0gZG9sb3Igc2l0IGFtZXQ="
Schema of the response body
{
"type": "string",
"format": "binary"
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
GET /backup/{id}/verify
Shows workspace backup verification info
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
id |
path | string | No | Backup ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"groups": [
{
"master_xpub": "string",
"schema": "string"
}
]
}
Schema of the response body
{
"type": "object",
"properties": {
"groups": {
"type": "array",
"items": {
"$ref": "#/components/schemas/internal_feature_backup.SignatureGroup"
}
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
POST /backup/{id}/verify
Verifies backup info
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
id |
path | string | No | Backup ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"backup_id": "string",
"completed_at": "string",
"completed_by": "string",
"status": "pending"
}
Schema of the response body
{
"type": "object",
"properties": {
"backup_id": {
"type": "string"
},
"completed_at": {
"type": "string"
},
"completed_by": {
"type": "string"
},
"status": {
"$ref": "#/components/schemas/internal_feature_backup.Status"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
co-signer
POST /co-signer/part
Save co-signer encrypted secret part
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
Request body
{
"config": "string",
"intent_id": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"config": {
"type": "string"
},
"intent_id": {
"type": "string"
}
}
}
Responses
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
GET /co-signer/part/{id}
Show co-signer encrypted secret part
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
id |
path | string | No | Co-Signer Part ID |
Responses
{
"config": "string",
"device_id": "string",
"workspace_id": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"config": {
"type": "string"
},
"device_id": {
"type": "string"
},
"workspace_id": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
POST /co-signer/part/{id}/commit
Commit co-signer secret part
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
id |
path | string | No | Co-Signer Part ID |
Responses
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
company
GET /company
Show company list
Description
Uses limit and offset
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
limit |
query | integer | 15 | No | Limit |
offset |
query | integer | 0 | No | Offset |
Responses
{
"companies": [
{
"created_at": "string",
"email": "string",
"id": "string",
"name": "string"
}
],
"offset": 0,
"total": 0
}
Schema of the response body
{
"type": "object",
"properties": {
"companies": {
"type": "array",
"items": {
"$ref": "#/components/schemas/internal_feature_company.Company"
}
},
"offset": {
"type": "integer"
},
"total": {
"type": "integer"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
POST /company
Create new company
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
Request body
{
"email": "string",
"name": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"email": {
"type": "string"
},
"name": {
"type": "string"
}
}
}
Responses
{
"created_at": "string",
"email": "string",
"id": "string",
"name": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"created_at": {
"type": "string"
},
"email": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
POST /company/application
Create new company application
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
Request body
{
"company_name": "string",
"country": "string",
"email": "string",
"first_name": "string",
"job_title": "string",
"last_name": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"company_name": {
"type": "string"
},
"country": {
"type": "string"
},
"email": {
"type": "string"
},
"first_name": {
"type": "string"
},
"job_title": {
"type": "string"
},
"last_name": {
"type": "string"
}
}
}
Responses
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
GET /company/{id}
Show company info
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
id |
path | string | No | Company ID |
Responses
{
"created_at": "string",
"email": "string",
"id": "string",
"name": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"created_at": {
"type": "string"
},
"email": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
intent
GET /pending-intent
Return available pending intents
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
Responses
[
{
"acquirer_id": "string",
"id": "string",
"initiator_id": "string",
"metadata": [
0
],
"participants": [
{
"device_id": "string",
"id": "string",
"intent_id": "string",
"user_id": "string"
}
],
"payload": [
0
],
"status": "active",
"target_id": "string",
"type": "init",
"workspace_id": "string"
}
]
Schema of the response body
{
"type": "array",
"items": {
"$ref": "#/components/schemas/wallet_internal_feature_intent.PendingExt"
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
POST /pending-intent/{id}/acquire
Acquire pending intent
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
id |
path | string | No | Pending Intent ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"intent": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"intent": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
transaction
POST /transaction
Create transaction
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Idempotency-Key |
header | string | No | Unique request identifier | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"amount": "string",
"fee": "string",
"source_wallet_id": "string",
"target_address": "string",
"target_wallet_id": "string",
"target_whitelisted_address_id": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"amount": {
"type": "string"
},
"fee": {
"type": "string"
},
"source_wallet_id": {
"type": "string"
},
"target_address": {
"type": "string"
},
"target_wallet_id": {
"type": "string"
},
"target_whitelisted_address_id": {
"type": "string"
}
}
}
Responses
{
"amount": "string",
"blockman_tx_id": "string",
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"fee": "string",
"fee_asset_id": "string",
"fee_limit": "string",
"formatted_amount": "string",
"formatted_fee": "string",
"from": {
"address": "string",
"balance": {},
"external": true,
"vault_id": "string",
"vault_name": "string",
"whitelisted_wallet_name": "string",
"workspace_id": "string",
"workspace_name": "string"
},
"id": "string",
"status": "pending",
"symbol": "string",
"to": null,
"tx_hash": "string",
"updated_at": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"amount": {
"type": "string"
},
"blockman_tx_id": {
"type": "string"
},
"created_at": {
"type": "string"
},
"decimals": {
"type": "integer"
},
"descriptor": {
"type": "string"
},
"fee": {
"type": "string"
},
"fee_asset_id": {
"type": "string"
},
"fee_limit": {
"type": "string"
},
"formatted_amount": {
"type": "string"
},
"formatted_fee": {
"type": "string"
},
"from": {
"$ref": "#/components/schemas/wallet_internal_feature_transaction.Wallet"
},
"id": {
"type": "string"
},
"status": {
"$ref": "#/components/schemas/wallet_internal_feature_transaction.Status"
},
"symbol": {
"type": "string"
},
"to": {
"$ref": "#/components/schemas/wallet_internal_feature_transaction.Wallet"
},
"tx_hash": {
"type": "string"
},
"updated_at": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
GET /transactions
List transactions
Description
Get a paginated list of transactions with optional filters
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
currency_id |
query | string | No | Filter by currency ID | |
from |
query | string | No | Filter by period start (RFC3339 format, e.g. 2023-01-01T00:00:00Z). Inclusive. | |
from_address |
query | string | No | Filter by source address | |
from_vault_id |
query | string | No | Filter by source vault ID | |
limit |
query | integer | No | Limit results (default 15, max 100) | |
offset |
query | integer | No | Offset for pagination (default 0) | |
status |
query | array | No | Filter by status (repeat param) | |
to |
query | string | No | Filter by period end (RFC3339 format, e.g. 2023-12-31T23:59:59.999Z). Inclusive. For end-of-day filtering, specify time as 23:59:59.999Z. | |
to_address |
query | string | No | Filter by destination address | |
to_vault_id |
query | string | No | Filter by target vault ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"limit": 0,
"offset": 0,
"total": 0,
"transactions": [
{
"amount": "string",
"blockman_tx_id": "string",
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"fee": "string",
"fee_asset_id": "string",
"fee_limit": "string",
"formatted_amount": "string",
"formatted_fee": "string",
"from": {
"address": "string",
"balance": {},
"external": true,
"vault_id": "string",
"vault_name": "string",
"whitelisted_wallet_name": "string",
"workspace_id": "string",
"workspace_name": "string"
},
"id": "string",
"status": "pending",
"symbol": "string",
"to": null,
"tx_hash": "string",
"updated_at": "string"
}
]
}
Schema of the response body
{
"type": "object",
"properties": {
"limit": {
"type": "integer"
},
"offset": {
"type": "integer"
},
"total": {
"type": "integer"
},
"transactions": {
"type": "array",
"items": {
"$ref": "#/components/schemas/wallet_internal_feature_transaction.View"
}
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
POST /transactions/approve
Collect approval result for transaction
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"approval_status": "user_approved",
"intent_id": "string",
"transaction_id": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"approval_status": {
"$ref": "#/components/schemas/wallet_internal_feature_transaction.UserApprovalStatus"
},
"intent_id": {
"type": "string"
},
"transaction_id": {
"type": "string"
}
}
}
Responses
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
POST /transactions/fee
Show transaction fee
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"amount": "string",
"source_wallet_id": "string",
"target_address": "string",
"target_wallet_id": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"amount": {
"type": "string"
},
"source_wallet_id": {
"type": "string"
},
"target_address": {
"type": "string"
},
"target_wallet_id": {
"type": "string"
}
}
}
Responses
{
"effective": {
"base": {
"amount": "string",
"name": "string"
},
"resource": null,
"tech": null
},
"max": null,
"min": null
}
Schema of the response body
{
"type": "object",
"properties": {
"effective": {
"$ref": "#/components/schemas/wallet_internal_feature_transaction.FeeGroupView"
},
"max": {
"$ref": "#/components/schemas/wallet_internal_feature_transaction.FeeGroupView"
},
"min": {
"$ref": "#/components/schemas/wallet_internal_feature_transaction.FeeGroupView"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
GET /transactions/{id}
Get transaction by ID
Description
Get a single transaction by its ID
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
id |
path | string | No | Transaction ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"amount": "string",
"blockman_tx_id": "string",
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"fee": "string",
"fee_asset_id": "string",
"fee_limit": "string",
"formatted_amount": "string",
"formatted_fee": "string",
"from": {
"address": "string",
"balance": {},
"external": true,
"vault_id": "string",
"vault_name": "string",
"whitelisted_wallet_name": "string",
"workspace_id": "string",
"workspace_name": "string"
},
"id": "string",
"status": "pending",
"symbol": "string",
"to": null,
"tx_hash": "string",
"updated_at": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"amount": {
"type": "string"
},
"blockman_tx_id": {
"type": "string"
},
"created_at": {
"type": "string"
},
"decimals": {
"type": "integer"
},
"descriptor": {
"type": "string"
},
"fee": {
"type": "string"
},
"fee_asset_id": {
"type": "string"
},
"fee_limit": {
"type": "string"
},
"formatted_amount": {
"type": "string"
},
"formatted_fee": {
"type": "string"
},
"from": {
"$ref": "#/components/schemas/wallet_internal_feature_transaction.Wallet"
},
"id": {
"type": "string"
},
"status": {
"$ref": "#/components/schemas/wallet_internal_feature_transaction.Status"
},
"symbol": {
"type": "string"
},
"to": {
"$ref": "#/components/schemas/wallet_internal_feature_transaction.Wallet"
},
"tx_hash": {
"type": "string"
},
"updated_at": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
vault
GET /vault
Show workspace vaults
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
active_only |
query | boolean | No | Only active vaults and assets | |
currency_id |
query | string | No | Currency | |
extended |
query | boolean | No | Show extended information | |
limit |
query | integer | No | Limit | |
offset |
query | integer | No | Offset | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"offset": 0,
"total": 0,
"vaults": [
{
"assets": [
{
"balance": "1.23",
"balance_atomic": "string",
"converted_balance": {
"formatted_value": "string",
"relevant_on": "string",
"symbol": "string"
},
"created_at": "string",
"currency": {
"blockchain_icon_url": "string",
"blockchain_name": "string",
"decimals": 0,
"descriptor": "string",
"icon_url": "string",
"id": "string",
"symbol": "string"
},
"decimals": 6,
"id": "string",
"primary_address": {},
"status": "string",
"updated_at": "string",
"vault_id": "string",
"workspace_id": "string"
}
],
"converted_balance": null,
"created_at": "string",
"id": "string",
"name": "string",
"status": "string",
"updated_at": "string",
"workspace_id": "string"
}
]
}
Schema of the response body
{
"type": "object",
"properties": {
"offset": {
"type": "integer"
},
"total": {
"type": "integer"
},
"vaults": {
"type": "array",
"items": {
"$ref": "#/components/schemas/internal_feature_vaultext.View"
}
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
POST /vault
Create vault
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"name": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"name": {
"type": "string"
}
}
}
Responses
{
"converted_balance": {
"formatted_value": "string",
"relevant_on": "string",
"symbol": "string"
},
"created_at": "string",
"id": "string",
"name": "string",
"status": "string",
"updated_at": "string",
"workspace_id": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"converted_balance": {
"$ref": "#/components/schemas/wallet_internal_feature_prices.ConvertedAmount"
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"status": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"workspace_id": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
PUT /vault/{vid}/rename
Rename vault
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
vid |
path | string | No | Vault ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"name": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"name": {
"type": "string"
}
}
}
Responses
{
"converted_balance": {
"formatted_value": "string",
"relevant_on": "string",
"symbol": "string"
},
"created_at": "string",
"id": "string",
"name": "string",
"status": "string",
"updated_at": "string",
"workspace_id": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"converted_balance": {
"$ref": "#/components/schemas/wallet_internal_feature_prices.ConvertedAmount"
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"status": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"workspace_id": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
whitelisted-wallets
GET /whitelisted-wallets
List whitelisted wallets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
[
{
"addresses": [
{
"address": "string",
"asset": {
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"ext_asset_id": "string",
"icon_url": "string",
"id": "string",
"is_base": true,
"status": "string",
"symbol": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string"
},
"asset_id": "string",
"balance": "string",
"converted_balance": {
"formatted_value": "string",
"relevant_on": "string",
"symbol": "string"
},
"created_at": "string",
"id": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string"
}
],
"balances": [
{
"balance_atomic": "string",
"converted_balance": null,
"decimals": 0,
"icon_url": "string",
"symbol": "string"
}
],
"created_at": "string",
"id": "string",
"name": "string",
"type": "internal",
"updated_at": "string",
"workspace_id": "string"
}
]
Schema of the response body
{
"type": "array",
"items": {
"$ref": "#/components/schemas/internal_feature_whitelisted_address.WhitelistedWallet"
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
POST /whitelisted-wallets
Create whitelisted wallet
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"name": "string",
"type": {}
}
Schema of the request body
{
"required": [
"name",
"type"
],
"type": "object",
"properties": {
"name": {
"type": "string"
},
"type": {
"type": "object",
"allOf": [
{
"$ref": "#/components/schemas/internal_feature_whitelisted_address.WalletType"
}
]
}
}
}
Responses
{
"addresses": [
{
"address": "string",
"asset": {
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"ext_asset_id": "string",
"icon_url": "string",
"id": "string",
"is_base": true,
"status": "string",
"symbol": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string"
},
"asset_id": "string",
"balance": "string",
"converted_balance": {
"formatted_value": "string",
"relevant_on": "string",
"symbol": "string"
},
"created_at": "string",
"id": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string"
}
],
"balances": [
{
"balance_atomic": "string",
"converted_balance": null,
"decimals": 0,
"icon_url": "string",
"symbol": "string"
}
],
"created_at": "string",
"id": "string",
"name": "string",
"type": "internal",
"updated_at": "string",
"workspace_id": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"addresses": {
"type": "array",
"items": {
"$ref": "#/components/schemas/internal_feature_whitelisted_address.Address"
}
},
"balances": {
"type": "array",
"items": {
"$ref": "#/components/schemas/internal_feature_whitelisted_address.AssetBalance"
}
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"$ref": "#/components/schemas/internal_feature_whitelisted_address.WalletType"
},
"updated_at": {
"type": "string"
},
"workspace_id": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
GET /whitelisted-wallets/{wallet_id}
Get whitelisted wallet by ID
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
wallet_id |
path | string | No | Wallet ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"addresses": [
{
"address": "string",
"asset": {
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"ext_asset_id": "string",
"icon_url": "string",
"id": "string",
"is_base": true,
"status": "string",
"symbol": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string"
},
"asset_id": "string",
"balance": "string",
"converted_balance": {
"formatted_value": "string",
"relevant_on": "string",
"symbol": "string"
},
"created_at": "string",
"id": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string"
}
],
"balances": [
{
"balance_atomic": "string",
"converted_balance": null,
"decimals": 0,
"icon_url": "string",
"symbol": "string"
}
],
"created_at": "string",
"id": "string",
"name": "string",
"type": "internal",
"updated_at": "string",
"workspace_id": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"addresses": {
"type": "array",
"items": {
"$ref": "#/components/schemas/internal_feature_whitelisted_address.Address"
}
},
"balances": {
"type": "array",
"items": {
"$ref": "#/components/schemas/internal_feature_whitelisted_address.AssetBalance"
}
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"$ref": "#/components/schemas/internal_feature_whitelisted_address.WalletType"
},
"updated_at": {
"type": "string"
},
"workspace_id": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
PUT /whitelisted-wallets/{wallet_id}
Update whitelisted wallet
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
wallet_id |
path | string | No | Wallet ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"name": "string"
}
Schema of the request body
{
"required": [
"name"
],
"type": "object",
"properties": {
"name": {
"type": "string"
}
}
}
Responses
{
"addresses": [
{
"address": "string",
"asset": {
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"ext_asset_id": "string",
"icon_url": "string",
"id": "string",
"is_base": true,
"status": "string",
"symbol": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string"
},
"asset_id": "string",
"balance": "string",
"converted_balance": {
"formatted_value": "string",
"relevant_on": "string",
"symbol": "string"
},
"created_at": "string",
"id": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string"
}
],
"balances": [
{
"balance_atomic": "string",
"converted_balance": null,
"decimals": 0,
"icon_url": "string",
"symbol": "string"
}
],
"created_at": "string",
"id": "string",
"name": "string",
"type": "internal",
"updated_at": "string",
"workspace_id": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"addresses": {
"type": "array",
"items": {
"$ref": "#/components/schemas/internal_feature_whitelisted_address.Address"
}
},
"balances": {
"type": "array",
"items": {
"$ref": "#/components/schemas/internal_feature_whitelisted_address.AssetBalance"
}
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"$ref": "#/components/schemas/internal_feature_whitelisted_address.WalletType"
},
"updated_at": {
"type": "string"
},
"workspace_id": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
DELETE /whitelisted-wallets/{wallet_id}
Delete whitelisted wallet
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
wallet_id |
path | string | No | Wallet ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
POST /whitelisted-wallets/{wallet_id}/addresses
Add address to whitelisted wallet
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
wallet_id |
path | string | No | Wallet ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"address": "string",
"currency_id": "string"
}
Schema of the request body
{
"required": [
"address"
],
"type": "object",
"properties": {
"address": {
"type": "string"
},
"currency_id": {
"type": "string"
}
}
}
Responses
{
"address": "string",
"asset": {
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"ext_asset_id": "string",
"icon_url": "string",
"id": "string",
"is_base": true,
"status": "string",
"symbol": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string"
},
"asset_id": "string",
"balance": "string",
"converted_balance": {
"formatted_value": "string",
"relevant_on": "string",
"symbol": "string"
},
"created_at": "string",
"id": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"address": {
"type": "string"
},
"asset": {
"$ref": "#/components/schemas/internal_feature_whitelisted_address.Asset"
},
"asset_id": {
"type": "string"
},
"balance": {
"type": "string"
},
"converted_balance": {
"$ref": "#/components/schemas/wallet_internal_feature_prices.ConvertedAmount"
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"whitelisted_wallet_id": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
DELETE /whitelisted-wallets/{wallet_id}/addresses/{address_id}
Delete address from whitelisted wallet
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
address_id |
path | string | No | Address ID | |
wallet_id |
path | string | No | Wallet ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
workspace
GET /workspace
Show available workspaces list
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
company_id |
query | string | No | Company ID | |
limit |
query | integer | No | Limit | |
offset |
query | integer | No | Offset |
Responses
{
"offset": 0,
"total": 0,
"workspaces": [
{
"company_id": "string",
"created_at": "string",
"id": "string",
"name": "string",
"status": "new",
"updated_at": "string"
}
]
}
Schema of the response body
{
"type": "object",
"properties": {
"offset": {
"type": "integer"
},
"total": {
"type": "integer"
},
"workspaces": {
"type": "array",
"items": {
"$ref": "#/components/schemas/wallet_internal_feature_workspace.View"
}
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
POST /workspace
Create workspace
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
Request body
{
"company_id": "string",
"name": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"company_id": {
"type": "string"
},
"name": {
"type": "string"
}
}
}
Responses
{
"company_id": "string",
"created_at": "string",
"id": "string",
"name": "string",
"status": "new",
"updated_at": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"company_id": {
"type": "string"
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"status": {
"$ref": "#/components/schemas/wallet_internal_feature_workspace.Status"
},
"updated_at": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
GET /workspace/{id}
Show workspace info
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
id |
path | string | No | Workspace ID |
Responses
{
"company_id": "string",
"created_at": "string",
"id": "string",
"name": "string",
"status": "new",
"updated_at": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"company_id": {
"type": "string"
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"status": {
"$ref": "#/components/schemas/wallet_internal_feature_workspace.Status"
},
"updated_at": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
{
"error": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"error": {
"type": "string"
}
}
}
Schemas
intent.Type
Type: string
internal_feature_backup.CreateRequest
| Name | Type | Description |
|---|---|---|
public_key |
string |
internal_feature_backup.SignatureGroup
| Name | Type | Description |
|---|---|---|
master_xpub |
string | |
schema |
string |
internal_feature_backup.State
| Name | Type | Description |
|---|---|---|
backup_id |
string | |
completed_at |
string | |
completed_by |
string | |
status |
internal_feature_backup.Status |
internal_feature_backup.Status
Type: string
internal_feature_backup.VerificationInfo
| Name | Type | Description |
|---|---|---|
groups |
Array<internal_feature_backup.SignatureGroup> |
internal_feature_company.Company
| Name | Type | Description |
|---|---|---|
created_at |
string | |
email |
string | |
id |
string | |
name |
string |
internal_feature_company.CreateCompanyApplicationRequest
| Name | Type | Description |
|---|---|---|
company_name |
string | |
country |
string | |
email |
string | |
first_name |
string | |
job_title |
string | |
last_name |
string |
internal_feature_company.CreateRequest
| Name | Type | Description |
|---|---|---|
email |
string | |
name |
string |
internal_feature_company.ListResponse
| Name | Type | Description |
|---|---|---|
companies |
Array<internal_feature_company.Company> | |
offset |
integer | |
total |
integer |
internal_feature_cosigner.AddPartRequest
| Name | Type | Description |
|---|---|---|
config |
string | |
intent_id |
string |
internal_feature_cosigner.Part
| Name | Type | Description |
|---|---|---|
config |
string | |
device_id |
string | |
workspace_id |
string |
internal_feature_intent.AcquireResponse
| Name | Type | Description |
|---|---|---|
intent |
string |
internal_feature_intent.Participant
| Name | Type | Description |
|---|---|---|
device_id |
string | |
id |
string | |
intent_id |
string | |
user_id |
string |
internal_feature_intent.PendingExt
| Name | Type | Description |
|---|---|---|
acquirer_id |
string | |
id |
string | |
initiator_id |
string | |
metadata |
Array<integer> | |
participants |
Array<internal_feature_intent.Participant> | |
payload |
Array<integer> | |
status |
internal_feature_intent.PendingStatus | |
target_id |
string | |
type |
intent.Type | |
workspace_id |
string |
internal_feature_intent.PendingStatus
Type: string
internal_feature_transaction.CollectApprovalRequest
| Name | Type | Description |
|---|---|---|
approval_status |
internal_feature_transaction.UserApprovalStatus | |
intent_id |
string | |
transaction_id |
string |
internal_feature_transaction.CreateRequest
| Name | Type | Description |
|---|---|---|
amount |
string | |
fee |
string | |
source_wallet_id |
string | |
target_address |
string | |
target_wallet_id |
string | |
target_whitelisted_address_id |
string |
internal_feature_transaction.FeeGroupView
| Name | Type | Description |
|---|---|---|
base |
internal_feature_transaction.FeeValueView | |
resource |
internal_feature_transaction.FeeValueView | |
tech |
internal_feature_transaction.FeeValueView |
internal_feature_transaction.FeeRequest
| Name | Type | Description |
|---|---|---|
amount |
string | |
source_wallet_id |
string | |
target_address |
string | |
target_wallet_id |
string |
internal_feature_transaction.FeeValueView
| Name | Type | Description |
|---|---|---|
amount |
string | |
name |
string |
internal_feature_transaction.FeeView
| Name | Type | Description |
|---|---|---|
effective |
internal_feature_transaction.FeeGroupView | |
max |
internal_feature_transaction.FeeGroupView | |
min |
internal_feature_transaction.FeeGroupView |
internal_feature_transaction.ListView
| Name | Type | Description |
|---|---|---|
limit |
integer | |
offset |
integer | |
total |
integer | |
transactions |
Array<internal_feature_transaction.View> |
internal_feature_transaction.Status
Type: string
internal_feature_transaction.UserApprovalStatus
Type: string
internal_feature_transaction.View
| Name | Type | Description |
|---|---|---|
amount |
string | |
blockman_tx_id |
string | |
created_at |
string | |
decimals |
integer | |
descriptor |
string | |
fee |
string | |
fee_asset_id |
string | |
fee_limit |
string | |
formatted_amount |
string | |
formatted_fee |
string | |
from |
internal_feature_transaction.Wallet | |
id |
string | |
status |
internal_feature_transaction.Status | |
symbol |
string | |
to |
internal_feature_transaction.Wallet | |
tx_hash |
string | |
updated_at |
string |
internal_feature_transaction.Wallet
| Name | Type | Description |
|---|---|---|
address |
string | |
balance |
wallet_internal_base_type.BigInt | |
external |
boolean | |
vault_id |
string | |
vault_name |
string | |
whitelisted_wallet_name |
string | |
workspace_id |
string | |
workspace_name |
string |
internal_feature_vault.CreateRequest
| Name | Type | Description |
|---|---|---|
name |
string |
internal_feature_vault.RenameRequest
| Name | Type | Description |
|---|---|---|
name |
string |
internal_feature_vault.View
| Name | Type | Description |
|---|---|---|
converted_balance |
wallet_internal_feature_prices.ConvertedAmount | |
created_at |
string | |
id |
string | |
name |
string | |
status |
string | |
updated_at |
string | |
workspace_id |
string |
internal_feature_vaultext.ListExtResponse
| Name | Type | Description |
|---|---|---|
offset |
integer | |
total |
integer | |
vaults |
Array<internal_feature_vaultext.View> |
internal_feature_vaultext.ListResponse
| Name | Type | Description |
|---|---|---|
offset |
integer | |
total |
integer | |
vaults |
Array<wallet_internal_feature_vault.View> |
internal_feature_vaultext.View
| Name | Type | Description |
|---|---|---|
assets |
Array<wallet_internal_feature_wallet.AssetView> | |
converted_balance |
wallet_internal_feature_prices.ConvertedAmount | |
created_at |
string | |
id |
string | |
name |
string | |
status |
string | |
updated_at |
string | |
workspace_id |
string |
internal_feature_wallet.AddressView
| Name | Type | Description |
|---|---|---|
address |
string | |
created_at |
string |
internal_feature_wallet.AssetView
| Name | Type | Description |
|---|---|---|
balance |
string | |
balance_atomic |
string | |
converted_balance |
wallet_internal_feature_prices.ConvertedAmount | |
created_at |
string | |
currency |
internal_feature_wallet.Currency | |
decimals |
integer(int32) | |
id |
string | |
primary_address |
||
status |
string | |
updated_at |
string | |
vault_id |
string | |
workspace_id |
string |
internal_feature_wallet.CreateRequest
| Name | Type | Description |
|---|---|---|
currency_id |
string | |
vault_id |
string |
internal_feature_wallet.CreateResponse
| Name | Type | Description |
|---|---|---|
assets |
Array<internal_feature_wallet.AssetView> |
internal_feature_wallet.Currency
| Name | Type | Description |
|---|---|---|
blockchain_icon_url |
string | |
blockchain_name |
string | |
decimals |
integer | |
descriptor |
string | |
icon_url |
string | |
id |
string | |
symbol |
string |
internal_feature_wallet.ListResponse
| Name | Type | Description |
|---|---|---|
assets |
Array<internal_feature_wallet.AssetView> | |
offset |
integer | |
total |
integer |
internal_feature_wallet.WorkspaceBalances
| Name | Type | Description |
|---|---|---|
converted_total_balance |
wallet_internal_feature_prices.ConvertedAmount | |
symbol_balances |
Array<wallet_internal_feature_balance.SymbolBalance> |
internal_feature_whitelisted_address.Address
| Name | Type | Description |
|---|---|---|
address |
string | |
asset |
internal_feature_whitelisted_address.Asset | |
asset_id |
string | |
balance |
string | |
converted_balance |
wallet_internal_feature_prices.ConvertedAmount | |
created_at |
string | |
id |
string | |
updated_at |
string | |
whitelisted_wallet_id |
string |
internal_feature_whitelisted_address.Asset
| Name | Type | Description |
|---|---|---|
created_at |
string | |
decimals |
integer | |
descriptor |
string | |
ext_asset_id |
string | |
icon_url |
string | |
id |
string | |
is_base |
boolean | |
status |
string | |
symbol |
string | |
updated_at |
string | |
whitelisted_wallet_id |
string |
internal_feature_whitelisted_address.AssetBalance
| Name | Type | Description |
|---|---|---|
balance_atomic |
string | |
converted_balance |
wallet_internal_feature_prices.ConvertedAmount | |
decimals |
integer | |
icon_url |
string | |
symbol |
string |
internal_feature_whitelisted_address.CreateWhitelistedAddressRequest
| Name | Type | Description |
|---|---|---|
address |
string | |
currency_id |
string |
internal_feature_whitelisted_address.CreateWhitelistedWalletRequest
| Name | Type | Description |
|---|---|---|
name |
string | |
type |
internal_feature_whitelisted_address.UpdateWhitelistedWalletRequest
| Name | Type | Description |
|---|---|---|
name |
string |
internal_feature_whitelisted_address.WalletType
Type: string
internal_feature_whitelisted_address.WhitelistedWallet
| Name | Type | Description |
|---|---|---|
addresses |
Array<internal_feature_whitelisted_address.Address> | |
balances |
Array<internal_feature_whitelisted_address.AssetBalance> | |
created_at |
string | |
id |
string | |
name |
string | |
type |
internal_feature_whitelisted_address.WalletType | |
updated_at |
string | |
workspace_id |
string |
internal_feature_workspace.CreateRequest
| Name | Type | Description |
|---|---|---|
company_id |
string | |
name |
string |
internal_feature_workspace.ListResponse
| Name | Type | Description |
|---|---|---|
offset |
integer | |
total |
integer | |
workspaces |
Array<internal_feature_workspace.View> |
internal_feature_workspace.Status
Type: string
internal_feature_workspace.View
| Name | Type | Description |
|---|---|---|
company_id |
string | |
created_at |
string | |
id |
string | |
name |
string | |
status |
internal_feature_workspace.Status | |
updated_at |
string |
wallet_internal_base_type.BigInt
wallet_internal_feature_backup.CreateRequest
| Name | Type | Description |
|---|---|---|
public_key |
string |
wallet_internal_feature_backup.SignatureGroup
| Name | Type | Description |
|---|---|---|
master_xpub |
string | |
schema |
string |
wallet_internal_feature_backup.State
| Name | Type | Description |
|---|---|---|
backup_id |
string | |
completed_at |
string | |
completed_by |
string | |
status |
wallet_internal_feature_backup.Status |
wallet_internal_feature_backup.Status
Type: string
wallet_internal_feature_backup.VerificationInfo
| Name | Type | Description |
|---|---|---|
groups |
Array<wallet_internal_feature_backup.SignatureGroup> |
wallet_internal_feature_balance.SymbolBalance
| Name | Type | Description |
|---|---|---|
balance |
string | |
balance_atomic |
string | |
decimals |
integer | |
icon_url |
string | |
symbol |
string |
wallet_internal_feature_company.Company
| Name | Type | Description |
|---|---|---|
created_at |
string | |
email |
string | |
id |
string | |
name |
string |
wallet_internal_feature_company.CreateCompanyApplicationRequest
| Name | Type | Description |
|---|---|---|
company_name |
string | |
country |
string | |
email |
string | |
first_name |
string | |
job_title |
string | |
last_name |
string |
wallet_internal_feature_company.CreateRequest
| Name | Type | Description |
|---|---|---|
email |
string | |
name |
string |
wallet_internal_feature_company.ListResponse
| Name | Type | Description |
|---|---|---|
companies |
Array<wallet_internal_feature_company.Company> | |
offset |
integer | |
total |
integer |
wallet_internal_feature_cosigner.AddPartRequest
| Name | Type | Description |
|---|---|---|
config |
string | |
intent_id |
string |
wallet_internal_feature_cosigner.Part
| Name | Type | Description |
|---|---|---|
config |
string | |
device_id |
string | |
workspace_id |
string |
wallet_internal_feature_intent.AcquireResponse
| Name | Type | Description |
|---|---|---|
intent |
string |
wallet_internal_feature_intent.Participant
| Name | Type | Description |
|---|---|---|
device_id |
string | |
id |
string | |
intent_id |
string | |
user_id |
string |
wallet_internal_feature_intent.PendingExt
| Name | Type | Description |
|---|---|---|
acquirer_id |
string | |
id |
string | |
initiator_id |
string | |
metadata |
Array<integer> | |
participants |
Array<wallet_internal_feature_intent.Participant> | |
payload |
Array<integer> | |
status |
wallet_internal_feature_intent.PendingStatus | |
target_id |
string | |
type |
intent.Type | |
workspace_id |
string |
wallet_internal_feature_intent.PendingStatus
Type: string
wallet_internal_feature_prices.ConvertedAmount
| Name | Type | Description |
|---|---|---|
formatted_value |
string | |
relevant_on |
string | |
symbol |
string |
wallet_internal_feature_transaction.CollectApprovalRequest
| Name | Type | Description |
|---|---|---|
approval_status |
wallet_internal_feature_transaction.UserApprovalStatus | |
intent_id |
string | |
transaction_id |
string |
wallet_internal_feature_transaction.CreateRequest
| Name | Type | Description |
|---|---|---|
amount |
string | |
fee |
string | |
source_wallet_id |
string | |
target_address |
string | |
target_wallet_id |
string | |
target_whitelisted_address_id |
string |
wallet_internal_feature_transaction.FeeGroupView
| Name | Type | Description |
|---|---|---|
base |
wallet_internal_feature_transaction.FeeValueView | |
resource |
wallet_internal_feature_transaction.FeeValueView | |
tech |
wallet_internal_feature_transaction.FeeValueView |
wallet_internal_feature_transaction.FeeRequest
| Name | Type | Description |
|---|---|---|
amount |
string | |
source_wallet_id |
string | |
target_address |
string | |
target_wallet_id |
string |
wallet_internal_feature_transaction.FeeValueView
| Name | Type | Description |
|---|---|---|
amount |
string | |
name |
string |
wallet_internal_feature_transaction.FeeView
| Name | Type | Description |
|---|---|---|
effective |
wallet_internal_feature_transaction.FeeGroupView | |
max |
wallet_internal_feature_transaction.FeeGroupView | |
min |
wallet_internal_feature_transaction.FeeGroupView |
wallet_internal_feature_transaction.ListView
| Name | Type | Description |
|---|---|---|
limit |
integer | |
offset |
integer | |
total |
integer | |
transactions |
Array<wallet_internal_feature_transaction.View> |
wallet_internal_feature_transaction.Status
Type: string
wallet_internal_feature_transaction.UserApprovalStatus
Type: string
wallet_internal_feature_transaction.View
| Name | Type | Description |
|---|---|---|
amount |
string | |
blockman_tx_id |
string | |
created_at |
string | |
decimals |
integer | |
descriptor |
string | |
fee |
string | |
fee_asset_id |
string | |
fee_limit |
string | |
formatted_amount |
string | |
formatted_fee |
string | |
from |
wallet_internal_feature_transaction.Wallet | |
id |
string | |
status |
wallet_internal_feature_transaction.Status | |
symbol |
string | |
to |
wallet_internal_feature_transaction.Wallet | |
tx_hash |
string | |
updated_at |
string |
wallet_internal_feature_transaction.Wallet
| Name | Type | Description |
|---|---|---|
address |
string | |
balance |
wallet_internal_base_type.BigInt | |
external |
boolean | |
vault_id |
string | |
vault_name |
string | |
whitelisted_wallet_name |
string | |
workspace_id |
string | |
workspace_name |
string |
wallet_internal_feature_vault.CreateRequest
| Name | Type | Description |
|---|---|---|
name |
string |
wallet_internal_feature_vault.RenameRequest
| Name | Type | Description |
|---|---|---|
name |
string |
wallet_internal_feature_vault.View
| Name | Type | Description |
|---|---|---|
converted_balance |
wallet_internal_feature_prices.ConvertedAmount | |
created_at |
string | |
id |
string | |
name |
string | |
status |
string | |
updated_at |
string | |
workspace_id |
string |
wallet_internal_feature_vaultext.ListExtResponse
| Name | Type | Description |
|---|---|---|
offset |
integer | |
total |
integer | |
vaults |
Array<wallet_internal_feature_vaultext.View> |
wallet_internal_feature_vaultext.ListResponse
| Name | Type | Description |
|---|---|---|
offset |
integer | |
total |
integer | |
vaults |
Array<wallet_internal_feature_vault.View> |
wallet_internal_feature_vaultext.View
| Name | Type | Description |
|---|---|---|
assets |
Array<wallet_internal_feature_wallet.AssetView> | |
converted_balance |
wallet_internal_feature_prices.ConvertedAmount | |
created_at |
string | |
id |
string | |
name |
string | |
status |
string | |
updated_at |
string | |
workspace_id |
string |
wallet_internal_feature_wallet.AddressView
| Name | Type | Description |
|---|---|---|
address |
string | |
created_at |
string |
wallet_internal_feature_wallet.AssetView
| Name | Type | Description |
|---|---|---|
balance |
string | |
balance_atomic |
string | |
converted_balance |
wallet_internal_feature_prices.ConvertedAmount | |
created_at |
string | |
currency |
wallet_internal_feature_wallet.Currency | |
decimals |
integer(int32) | |
id |
string | |
primary_address |
||
status |
string | |
updated_at |
string | |
vault_id |
string | |
workspace_id |
string |
wallet_internal_feature_wallet.CreateRequest
| Name | Type | Description |
|---|---|---|
currency_id |
string | |
vault_id |
string |
wallet_internal_feature_wallet.CreateResponse
| Name | Type | Description |
|---|---|---|
assets |
Array<wallet_internal_feature_wallet.AssetView> |
wallet_internal_feature_wallet.Currency
| Name | Type | Description |
|---|---|---|
blockchain_icon_url |
string | |
blockchain_name |
string | |
decimals |
integer | |
descriptor |
string | |
icon_url |
string | |
id |
string | |
symbol |
string |
wallet_internal_feature_wallet.ListResponse
| Name | Type | Description |
|---|---|---|
assets |
Array<wallet_internal_feature_wallet.AssetView> | |
offset |
integer | |
total |
integer |
wallet_internal_feature_wallet.WorkspaceBalances
| Name | Type | Description |
|---|---|---|
converted_total_balance |
wallet_internal_feature_prices.ConvertedAmount | |
symbol_balances |
Array<wallet_internal_feature_balance.SymbolBalance> |
wallet_internal_feature_whitelisted_address.Address
| Name | Type | Description |
|---|---|---|
address |
string | |
asset |
wallet_internal_feature_whitelisted_address.Asset | |
asset_id |
string | |
balance |
string | |
converted_balance |
wallet_internal_feature_prices.ConvertedAmount | |
created_at |
string | |
id |
string | |
updated_at |
string | |
whitelisted_wallet_id |
string |
wallet_internal_feature_whitelisted_address.Asset
| Name | Type | Description |
|---|---|---|
created_at |
string | |
decimals |
integer | |
descriptor |
string | |
ext_asset_id |
string | |
icon_url |
string | |
id |
string | |
is_base |
boolean | |
status |
string | |
symbol |
string | |
updated_at |
string | |
whitelisted_wallet_id |
string |
wallet_internal_feature_whitelisted_address.AssetBalance
| Name | Type | Description |
|---|---|---|
balance_atomic |
string | |
converted_balance |
wallet_internal_feature_prices.ConvertedAmount | |
decimals |
integer | |
icon_url |
string | |
symbol |
string |
wallet_internal_feature_whitelisted_address.CreateWhitelistedAddressRequest
| Name | Type | Description |
|---|---|---|
address |
string | |
currency_id |
string |
wallet_internal_feature_whitelisted_address.CreateWhitelistedWalletRequest
| Name | Type | Description |
|---|---|---|
name |
string | |
type |
wallet_internal_feature_whitelisted_address.UpdateWhitelistedWalletRequest
| Name | Type | Description |
|---|---|---|
name |
string |
wallet_internal_feature_whitelisted_address.WalletType
Type: string
wallet_internal_feature_whitelisted_address.WhitelistedWallet
| Name | Type | Description |
|---|---|---|
addresses |
Array<wallet_internal_feature_whitelisted_address.Address> | |
balances |
Array<wallet_internal_feature_whitelisted_address.AssetBalance> | |
created_at |
string | |
id |
string | |
name |
string | |
type |
wallet_internal_feature_whitelisted_address.WalletType | |
updated_at |
string | |
workspace_id |
string |
wallet_internal_feature_workspace.CreateRequest
| Name | Type | Description |
|---|---|---|
company_id |
string | |
name |
string |
wallet_internal_feature_workspace.ListResponse
| Name | Type | Description |
|---|---|---|
offset |
integer | |
total |
integer | |
workspaces |
Array<wallet_internal_feature_workspace.View> |
wallet_internal_feature_workspace.Status
Type: string
wallet_internal_feature_workspace.View
| Name | Type | Description |
|---|---|---|
company_id |
string | |
created_at |
string | |
id |
string | |
name |
string | |
status |
wallet_internal_feature_workspace.Status | |
updated_at |
string |
wallet_internal_utils_http.WebError
| Name | Type | Description |
|---|---|---|
error |
string |
Security schemes
| Name | Type | Scheme | Description |
|---|---|---|---|
| BearerAuth | apiKey |